<div class="assignment-history">
  <app-content-banner [isDashboard]="false" pageName="Assignment History"></app-content-banner>
  <mat-card class="assignment-history-main-card mat-elevation-z0">
    <mat-card-content>
      <mat-card class="mat-elevation-z0">
        <div class="assignment-history-small-box mat-elevation-z4" fxLayout="column">
          <div class="assignment-history-container mat-elevation-z4">
            <form class="section assignment-history regular-mat-form-field" [formGroup]="assignmentHistoryGroup">
              <div class="assignment-history-border-box">
                <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="space-around" fxLayoutWrap="wrap"
                  style="margin-right: 20px">
                  <div class="assignment-history-label" fxLayout="column">
                    <mat-label><b>Application # (SR#):</b></mat-label>
                  </div>
                  &nbsp;&nbsp;
                  <div class="assignment-history-field" fxLayout="column">
                    <mat-form-field appearance="outline">
                      <input matInput name="pactApplicationId" formControlName="pactApplicationIdCtrl">
                    </mat-form-field>
                  </div>
                  <div class="assignment-history-label" fxLayout="column">
                    <mat-label><b>Client # :</b></mat-label>
                  </div>
                  &nbsp;&nbsp;
                  <div class="assignment-history-field" fxLayout="column">
                    <mat-form-field appearance="outline">
                      <input matInput name="clientId" formControlName="clientIdCtrl" required >
                    </mat-form-field>
                  </div>
                  <div class="assignment-history-label" fxLayout="column">
                  </div>
                  &nbsp;&nbsp;
                  <div class="assignment-history-field" fxLayout="column">
                  </div>
                </div>
                <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="space-around" fxLayoutWrap="wrap"
                  style="margin-right: 20px">
                  <div class="assignment-history-label" fxLayout="column">
                    <mat-label> <b>Client First Name</b></mat-label>
                  </div>
                  &nbsp;&nbsp;
                  <div class="assignment-history-field" fxLayout="column">
                    <mat-form-field appearance="outline">
                      <input matInput name="firstName" formControlName="firstNameCtrl" required maxlength="50" minlength="2">
                    </mat-form-field>
                  </div>
                  <div class="assignment-history-label" fxLayout="column">
                    <mat-label> <b>Client Last Name :</b></mat-label>
                  </div>
                  &nbsp;&nbsp;
                  <div class="assignment-history-field" fxLayout="column">
                    <mat-form-field appearance="outline">
                      <input matInput name="lastName" formControlName="lastNameCtrl" required maxlength="50" minlength="2">
                    </mat-form-field>
                  </div>
                  <div class="assignment-history-label" fxLayout="column">
                  </div>
                  &nbsp;&nbsp;
                  <div class="assignment-history-field" fxLayout="column">
                  </div>

                </div>
              </div>
              <div fxLayout="row" fxLayout.lt-md="column" class="justify" style="margin-right: 20px">
                <div fxLayout="column" fxLayoutAlign="start" class="align-center">
                  <button type="button" mat-raised-button color="primary" matTooltip="Search Client" matTooltipClass="pact-tooltip"
                    (click)="searchClient()" >Search</button>
                </div>
                &nbsp;&nbsp;
                <div fxLayout="column" class="align-center">
                  <button type="button" mat-raised-button color="primary" matTooltip="Clear" matTooltipClass="pact-tooltip"
                    (click)="onClearClick()" >Clear</button>
                </div>
              </div>
              <br>
              <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="space-around" fxLayoutWrap="wrap" style="width: 100%">
                <div fxLayout="column" style="width: 100%">
                  <ag-grid-angular style="width: 100%" class="ag-theme-balham assignment-history-grid" [rowData]="assignmentHistoryClientRowData"
                    [columnDefs]="assignmentHistoryClientColumnDefs" (gridReady)="assignmentHistoryClientGridReady($event)" [floatingFilter]="true"
                    [animateRows]="false" [overlayNoRowsTemplate]="assignmentHistoryClientOverlayNoRowsTemplate" [context]="context"
                    [defaultColDef]="assignmentHistoryClientDefaultColDef"
                    [pagination]="true" [paginationPageSize]="10">
                  </ag-grid-angular>
                </div>
              </div>
              <br>
              <div fxLayout="row" fxLayout.lt-md="column" class="justify" style="margin-right: 20px">
                <div fxLayout="column" fxLayoutAlign="start" class="align-center">
                  <button type="button" mat-raised-button color="primary" matTooltip="Close" matTooltipClass="pact-tooltip"
                  routerLink="/ds/case-assignment/" >Close</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </mat-card>
    </mat-card-content>
  </mat-card>
</div>